Bug 1462412 - Review Request: tworld - a puzzle game
Summary: Review Request: tworld - a puzzle game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2017-06-17 11:49 UTC by Artur Iwicki
Modified: 2017-07-16 01:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-06 02:22:36 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2017-06-17 11:49:08 UTC
Spec URL: https://svgames.pl/fedora/tworld-1.3.2-2.spec
SRPM URL: https://svgames.pl/fedora/tworld-1.3.2-2.src.rpm

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20053999

Description: Tile World is an emulation of the game "Chip's Challenge" for the Atari Lynx. The game has its own graphics set and can be played using community-created level sets, without the need for the original game's resources.

Fedora Account System Username: suve


The packaging is a bit unorthodox, as the licences for the level packs are rather restrictive (basically - free redistribution, no modification). Thus, I decided to split the package into three: apart from the usual main package and -data, the level packs go into their own subpackage, -cclp.

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-06-17 16:34:54 UTC
rpmlint:

tworld-data.noarch: E: incorrect-fsf-address /usr/share/licenses/tworld-data/COPYING
Who cares? ;)

tworld.x86_64: W: manual-page-warning /usr/share/man/man6/tworld.6.gz 2: warning: macro `LO' not defined
The page seems to display OK, so this can be ignored.

4 packages and 0 specfiles checked; 2 errors, 8 warnings.

make %{?_smp_mflags} → %make_build, optionally.

$ appstream-util validate  /usr/share/appdata/tworld.appdata.xml
/usr/share/appdata/tworld.appdata.xml: FAILED:
• tag-invalid           : <metadata_license> is not valid [CC-BY-SA-3.04.0]
• tag-invalid           : <project_license> is not valid [GPLv2+]SPDX ID 'GPLv2+' unknown
• tag-missing           : <translation> not specified
• tag-missing           : <update_contact> is not present
• attribute-invalid     : <screenshot> width too small [http://www.muppetlabs.com/~breadbox/software/tworld/ss/full1.jpg]
• attribute-invalid     : <screenshot> height too small [http://www.muppetlabs.com/~breadbox/software/tworld/ss/full1.jpg]

metadata_license should be " CC-BY-SA-3.0", project_license "GPL-2.0+", according to https://spdx.org/licenses/. Displays OK in gnome-software apart from the license.

The game data satisfies the requirements for "firmware" [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Binary_Firmware], and can be packaged. The license text is in CCLP?.html.

+ license is acceptable for Fedora (GPLv2+, "no mods" for the game data)
+ license is specified correctly
+ package name is OK
+ builds, install, runs OK
+ scriptlets are correct according to guidelines
+ P/R/BR look correct

Just some nitpicks. Your packaging foo is very strong ;)
Package is APPROVED.

Comment 2 Tom "spot" Callaway 2017-06-26 17:50:46 UTC
Not sure why this was blocking FE-Legal. Lifting.

Comment 3 Artur Iwicki 2017-06-26 19:28:20 UTC
We wanted to make sure the "redistribution only, no modification" licence for the  level packs was okay - it seems to match Packaging:Licensing:Shareware, but we wanted to double-check with Legal.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Shareware

I'll go ahead and file a package request, then.

Comment 4 Tom "spot" Callaway 2017-06-26 19:36:14 UTC
Yeah. Not ideal, but permitted.

Comment 5 Gwyn Ciesla 2017-06-26 21:57:58 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/tworld

Comment 6 Fedora Update System 2017-06-27 09:34:36 UTC
tworld-1.3.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b66f4ca0b3

Comment 7 Fedora Update System 2017-06-27 17:21:38 UTC
tworld-1.3.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-10cc766f66

Comment 8 Fedora Update System 2017-06-27 17:27:11 UTC
tworld-1.3.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4056ef5f5b

Comment 9 Fedora Update System 2017-06-27 20:26:52 UTC
tworld-1.3.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b66f4ca0b3

Comment 10 Fedora Update System 2017-06-28 01:18:11 UTC
tworld-1.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5cc41b463f

Comment 11 Fedora Update System 2017-06-29 18:36:11 UTC
tworld-1.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-79cd34e5e0

Comment 12 Artur Iwicki 2017-06-29 18:39:10 UTC
The build initially failed for EPEL6 due to libappstream-glib not being available. Since that is used only for validating the appdata.xml file, I edited the EPEL6 spec file to omit that step.

Comment 13 Fedora Update System 2017-07-01 00:47:28 UTC
tworld-1.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-79cd34e5e0

Comment 14 Fedora Update System 2017-07-06 02:22:36 UTC
tworld-1.3.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-07-06 08:52:41 UTC
tworld-1.3.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-07-07 23:01:42 UTC
tworld-1.3.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-07-16 00:46:16 UTC
tworld-1.3.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-07-16 01:16:59 UTC
tworld-1.3.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.